Package org.apache.coyote.http2

## Class Http2AsyncUpgradeHandler.AsyncPingManager

- java.lang.Object
- - org.apache.coyote.http2.Http2AsyncUpgradeHandler.AsyncPingManager

Enclosing class:
  Http2AsyncUpgradeHandler

    protected class Http2AsyncUpgradeHandler.AsyncPingManager
    extends Object

### Constructor Summary

Constructors
`protected` `AsyncPingManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `receivePing​(byte[] payload, boolean ack)`
`void` `sendPing​(boolean force)` Check to see if a ping was sent recently and, if not, send one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncPingManager

    protected AsyncPingManager()

### Method Detail

#### sendPing

    public void sendPing​(boolean force)
                  throws IOException

Check to see if a ping was sent recently and, if not, send one.

Parameters:
  `force` - Send a ping, even if one was sent recently
Throws:
  `IOException` - If an I/O issue prevents the ping from being sent

#### receivePing

    public void receivePing​(byte[] payload,
                            boolean ack)
                     throws IOException

Throws:
  `IOException`